VOP_STRATEGY(9)

NAME
VOP_STRATEGY - read or write a file system buffer

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
int
VOP_STRATEGY(struct vnode *vp, struct buf *bp);

DESCRIPTION
The arguments are:

vp  The vnode that the buffer is for.

bp  The buffer to be read or written.

This call either reads or writes data from a file, depending on the value of bp->b_io.bio_cmd.

The call may block.

RETURN VALUES
Always zero. Errors should be signalled by setting BIO_ERROR on b_ioflags field in struct buf, and setting b_error to the appropriate errno value.

SEE ALSO
vnode(9)

AUTHORS
This manual page was written by Doug Rabson.